Reviews
Edit a comment
Edits a comment’s body. Only the author may edit their own comment.
PATCH
/
workspaces
/
{workspaceId}
/
comments
/
{commentId}
Edit a comment
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/comments/{commentId} \
--header 'Content-Type: application/json' \
--data '
{
"body": "<string>"
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/comments/{commentId}"
payload = { "body": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('<string>')})
};
fetch('https://api.example.com/workspaces/{workspaceId}/comments/{commentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"avatarUrl": "<string>",
"displayName": "<string>"
},
"body": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reviewId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}"<string>""<string>"Path Parameters
Workspace identifier.
Unique identifier of the comment.
Body
application/json
Request payload to edit a comment's body.
Request payload to edit a comment's body.
The new comment text (1-10000 characters).
Required string length:
1 - 10000Response
Response type for a comment: one message within a review's discussion.
Response type for a comment: one message within a review's discussion.
Account that wrote the message.
Show child attributes
Show child attributes
The message text.
When the comment was created.
Unique identifier of the comment.
Review this message belongs to.
When the comment was last updated.
Edit a comment
